# POST a Drop Shipment Partial Cancellation Client endpoint to which Drop Shipment Partial Cancellation data is posted to. This endpoint along with any authentication mechanisms needed must be communicated to client's account manager. Endpoint: POST /drop_shipment_partial_cancellation Version: 1.0.0 ## Request fields (application/json): - `order` (object) - `order.id` (integer) An object's database primary key. Do not rely on this value! Example: 1 - `order.client_identifier` (string) client_identifier associated with the shipment which is also associated with the order Example: "3fda4c37-6830-469f-b343-9d1a482a97fd" - `order.status` (string) Status of the order. Example: "shipped" - `order.order_items` (array) Order Item attributes - `order.order_items.client_identifier` (string, required) The order item identifier for the order item, typically coming from the customer's ecommerce platform or OMS Example: "296f0b98-7bc5-4750-8cb9-2e36db1ff766" - `order.order_items.status` (string, required) Status of the order item Example: "cancelled" - `order.order_items.quantity` (integer, required) The quantity of the order item Example: 3 - `order.order_items.cancelled_quantity` (integer, required) The quantity of the order item Example: 1 ## Response 200 fields (application/json): - `message` (string) Example: "Success" ## Response 422 fields (application/json): - `message` (string, required) Summary of the error(s). - `errors` (array, required) Contains one or more error objects. - `errors.field` (string, required) JSON path of the field that failed validation. - `errors.code` (string, required) Categorization of validation failure. Defaults to 'invalid'. Enum: "missing_field", "invalid_type", "invalid" ## Response 400 fields ## Response 401 fields ## Response 500 fields ## Response 502 fields